# Uses of Interface
org.eclipse.unittest.model.ITestElement

Packages that use ITestElement
Package
Description
org.eclipse.unittest.model
Application programming interfaces representing test elements as shown in the Unit Test view.
org.eclipse.unittest.ui

## Uses of ITestElement in org.eclipse.unittest.model

Subinterfaces of ITestElement in org.eclipse.unittest.model
Modifier and Type
Interface
Description
`interface`
`ITestCaseElement`
Represents a test case element.
`interface`
`ITestRunSession`
Represents a test run session.
`interface`
`ITestSuiteElement`
Represents a test suite element.
Methods in org.eclipse.unittest.model that return ITestElement
Modifier and Type
Method
Description
`ITestElement`
ITestRunSession.`getTestElement(String id)`
Returns a test element by its identifier
Methods in org.eclipse.unittest.model that return types with arguments of type ITestElement
Modifier and Type
Method
Description
`List<? extends ITestElement>`
ITestSuiteElement.`getChildren()`
Returns all tests (and test suites) contained in the suite.
Methods in org.eclipse.unittest.model with parameters of type ITestElement
Modifier and Type
Method
Description
`void`
ITestRunSession.`notifyTestEnded(ITestElement test, boolean isIgnored)`
Notifies on an individual test ended.
`void`
ITestRunSession.`notifyTestFailed(ITestElement test, ITestElement.Result status, boolean isAssumptionFailed, ITestElement.FailureTrace failureTrace)`
Notifies on an individual test failed with a stack trace.
`void`
ITestRunSession.`notifyTestStarted(ITestElement test)`
Notifies on an individual test started.

## Uses of ITestElement in org.eclipse.unittest.ui

Methods in org.eclipse.unittest.ui with parameters of type ITestElement
Modifier and Type
Method
Description
`IAction`
ITestViewSupport.`createOpenEditorAction(Shell shell, ITestElement failure, String traceLine)`
Returns an action to open a failure trace element
`Runnable`
ITestViewSupport.`createShowStackTraceInConsoleViewActionDelegate(ITestElement failedTest)`
Returns an action to copy an existing stack trace/error message into a console view
Method parameters in org.eclipse.unittest.ui with type arguments of type ITestElement
Modifier and Type
Method
Description
`ILaunchConfiguration`
ITestViewSupport.`getRerunLaunchConfiguration(List<ITestElement> testElements)`
Returns a Rerun launch configuration for the given element